/*
 *			i s p u n c . c
 */

/*)LIBRARY
*/

#ifdef	DOCUMENTATION

title	ispunct	Test for Punctuation Character
index		Test for punctuation character

synopsis
	.s.nf
	int
	ispunct(c)
	int		c;
	.s.f
Description

	Return non-zero if c is a punctuation character (graphic, but
	not alphanumeric).

Bugs

	The value is defined only if isascii(c) is TRUE.

#endif

#include	<ctype.h>
#ifdef	ispunct
#undef	ispunct
#endif

int
ispunct(c)
int		c;
{
	return (_ctype_[c & 0177] & _P);
}
